#
# spec file for package rubygem-tzinfo-0
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-tzinfo-0
Version:        0.3.55
Release:        lp151.37.1
%define mod_name tzinfo
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://tzinfo.github.io
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Daylight-savings aware timezone library
License:        MIT
Group:          Development/Languages/Ruby

%description
TZInfo is a Ruby library that uses the standard tz (Olson) database to provide
daylight savings aware transformations between times in different time zones.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES LICENSE README" \
  -f

%gem_packages

%changelog
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 0.3.55
  see installed CHANGES
  == Version 0.3.55 (tzdata v2018g) - 27-Oct-2018
  * Updated to tzdata version 2018g
    (https://mm.icann.org/pipermail/tz-announce/2018-October/000052.html).
* Mon Mar 26 2018 factory-auto@kulow.org
- updated to version 0.3.54
  see installed CHANGES
  == Version 0.3.54 (tzdata v2018d) - 25-Mar-2018
  * Updated to tzdata version 2018d
    (https://mm.icann.org/pipermail/tz-announce/2018-March/000049.html).
* Fri Mar 24 2017 coolo@suse.com
- updated to version 0.3.53
  see installed CHANGES
  == Version 0.3.53 (tzdata v2017b) - 23-Mar-2017
  * Updated to tzdata version 2017b
    (https://mm.icann.org/pipermail/tz-announce/2017-March/000046.html).
* Sat Oct 29 2016 coolo@suse.com
- updated to version 0.3.52
  see installed CHANGES
  == Version 0.3.52 (tzdata v2016h) - 28-Oct-2016
  * Updated to tzdata version 2016h
    (https://mm.icann.org/pipermail/tz-announce/2016-October/000042.html).
* Wed Jul  6 2016 coolo@suse.com
- updated to version 0.3.51
  see installed CHANGES
  == Version 0.3.51 (tzdata v2016f) - 5-Jul-2016
  * Updated to tzdata version 2016f
    (https://mm.icann.org/pipermail/tz-announce/2016-July/000040.html).
* Wed Jun 15 2016 coolo@suse.com
- updated to version 0.3.50
  see installed CHANGES
  == Version 0.3.50 (tzdata v2016e) - 14-Jun-2016
  * Updated to tzdata version 2016e
    (https://mm.icann.org/pipermail/tz-announce/2016-June/000039.html).
* Tue Apr 19 2016 coolo@suse.com
- updated to version 0.3.49
  see installed CHANGES
  == Version 0.3.49 (tzdata v2016d) - 18-Apr-2016
  * Updated to tzdata version 2016d
    (https://mm.icann.org/pipermail/tz-announce/2016-April/000038.html).
* Wed Apr  6 2016 coolo@suse.com
- updated to version 0.3.48
  see installed CHANGES
  == Version 0.3.48 (tzdata v2016c) - 23-Mar-2016
  * Updated to tzdata version 2016c
    (https://mm.icann.org/pipermail/tz-announce/2016-March/000037.html).
* Wed Mar 16 2016 coolo@suse.com
- updated to version 0.3.47
  see installed CHANGES
* Thu Dec  3 2015 coolo@suse.com
- updated to version 0.3.46
  see installed CHANGES
  == Version 0.3.46 (tzdata v2015g) - 02-Dec-2015
  * From version 2015e, the IANA time zone database uses non-ASCII characters in
    country names. Backport the encoding handling from TZInfo::Data to allow
    TZInfo 0.3.x to support Ruby 1.9 (which would otherwise fail with an invalid
    byte sequence error when loading the countries index). Resolves #41.
* Sun Oct  4 2015 coolo@suse.com
- updated to version 0.3.45
  see installed CHANGES
  == Version 0.3.45 (tzdata v2015g) - 03-Oct-2015
  * Updated to tzdata version 2015g
    (http://mm.icann.org/pipermail/tz-announce/2015-October/000034.html).
* Sun Apr 26 2015 coolo@suse.com
- updated to version 0.3.44
  see installed CHANGES
  == Version 0.3.44 (tzdata v2015d) - 24-Apr-2015
  * Updated to tzdata version 2015d
    (http://mm.icann.org/pipermail/tz-announce/2015-April/000031.html).
* Tue Feb 10 2015 coolo@suse.com
- updated to version 0.3.43
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Mar 24 2014 coolo@suse.com
- updated to version 0.3.39
  * Updated to tzdata version 2014a
  (http://mm.icann.org/pipermail/tz-announce/2014-March/000018.html).
* Tue Jun  4 2013 coolo@suse.com
- split tzinfo-0 of tzinfo
* Mon Mar 18 2013 coolo@suse.com
- updated to version 0.3.37
  * Updated to tzdata version 2013b
  (http://mm.icann.org/pipermail/tz-announce/2013-March/000010.html).
* Sun Mar  3 2013 coolo@suse.com
- updated to version 0.3.36
  * Updated to tzdata version 2013a
  (http://mm.icann.org/pipermail/tz-announce/2013-March/000009.html).
  * Fix TimezoneTransitionInfo#eql? incorrectly returning false when running on
  Ruby 2.0.
  * Change eql? and == implementations to test the class of the passed in object
  instead of checking individual properties with 'respond_to?'.
* Mon Nov  5 2012 coolo@suse.com
- updated to version 0.3.35
  (http://mm.icann.org/pipermail/tz-announce/2012-November/000007.html).
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.3.34
  * Updated to tzdata version 2012h
    (http://mm.icann.org/pipermail/tz-announce/2012-October/000006.html).
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide new version of provisions
* Sun Apr  8 2012 coolo@suse.com
- update to 0.3.33
  * Updated to tzdata version 2012c
  (http://article.gmane.org/gmane.comp.time.tz/4859).
* Tue Apr  3 2012 coolo@suse.com
- update to 0.3.32
  * Updated to tzdata version 2012b
  (http://article.gmane.org/gmane.comp.time.tz/4756).
* Tue Nov  1 2011 jmassaguerpla@suse.de
- update to version 0.3.30
* Mon Aug  1 2011 mrueckert@suse.de
- update to version 0.3.29
  * Updated to tzdata version 2011h
    (http://article.gmane.org/gmane.comp.time.tz/3814).
  * Allow the default value of the local_to_utc and
    period_for_local dst parameter to be specified globally with a
    Timezone.default_dst attribute.  Thanks to Kurt Werle for the
    suggestion and patch.
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 0.3.28
  * Add support for Ruby 1.9.3 (trunk revision 31668 and later).
    Thanks to Aaron Patterson for reporting the problems running on
    the new version. Closes #29233.
- additional changes from 0.3.27
  * Updated to tzdata version 2011g
    (http://article.gmane.org/gmane.comp.time.tz/3758).
- additional changes from 0.3.26
  * Updated to tzdata version 2011e
    (http://article.gmane.org/gmane.comp.time.tz/3707).
- additional changes from 0.3.25
  * Updated to tzdata version 2011d
    (http://article.gmane.org/gmane.comp.time.tz/3662).
- additional changes from 0.3.24
  * Updated to tzdata version 2010o
    (http://article.gmane.org/gmane.comp.time.tz/3473).
* Mon Aug 30 2010 mrueckert@suse.de
- update to version 0.3.23
  * Updated to tzdata version 2010l
    (http://article.gmane.org/gmane.comp.time.tz/3354).
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.3.22
  * Corrected file permissions issue with 0.3.21 release.
- additional changes from version 0.3.21
  * Updated to tzdata version 2010j
    (http://article.gmane.org/gmane.comp.time.tz/3225).
  * Change invalid timezone check to exclude characters not used in
    timezone identifiers and avoid 'character class has duplicated
    range' warnings with Ruby 1.9.2.
  * Ruby 1.9.2 has deprecated "require 'rational'", but older
    versions of Ruby need rational to be required. Require rational
    only when the Rational module has not already been loaded.
  * Remove circular requires (now a warning in Ruby 1.9.2). Instead
    of using requires in each file for dependencies, tzinfo.rb now
    requires all tzinfo files. If you were previously requiring
    files within the tzinfo directory (e.g. require
    'tzinfo/timezone'), then you will now have to require 'tzinfo'
    instead.
- additional changes from version 0.3.20
  * Updated to tzdata version 2010i
    (http://article.gmane.org/gmane.comp.time.tz/3202).
- additional changes from version 0.3.19
  * Updated to tzdata version 2010h
    (http://article.gmane.org/gmane.comp.time.tz/3188).
- additional changes from version 0.3.18
  * Updated to tzdata version 2010g
    (http://article.gmane.org/gmane.comp.time.tz/3172).
- additional changes from version 0.3.17
  * Updated to tzdata version 2010e
    (http://article.gmane.org/gmane.comp.time.tz/3128).
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Jan  6 2010 prusnak@suse.cz
- updated to 0.3.16
* Mon Dec 21 2009 prusnak@suse.cz
- updated to version 0.3.15
* Fri Nov 14 2008 mrueckert@suse.de
- update to version 0.3.12:
  * Updated to tzdata version 2008i
    (http://article.gmane.org/gmane.comp.time.tz/2440).
- additional changes from version 0.3.11
  * Updated to tzdata version 2008g
    (http://article.gmane.org/gmane.comp.time.tz/2335).
  * Support Ruby 1.9.0-5. Rational.new! has now been removed in
    Ruby 1.9.  Only use Rational.new! if it is available (it is
    preferable in Ruby 1.8 for performance reasons). Thanks to
    Jeremy Kemper and Pratik Naik for reporting this.
    Closes #22312.
  - Apply a patch from Pratik Naik to replace assert calls that
    have been deprecated in the Ruby svn trunk. Closes #22308.
- additional changes from version 0.3.10
  * Updated to tzdata version 2008f
    (http://article.gmane.org/gmane.comp.time.tz/2293).
- additional changes from version 0.3.9
  * Updated to tzdata version 2008c
    (http://article.gmane.org/gmane.comp.time.tz/2183).
  * Support loading timezone data in the latest trunk versions of
    Ruby 1.9.  Rational.new! is now private, so call it using
    Rational.send :new! instead.  Thanks to Jeremy Kemper and
    Pratik Naik for spotting this. Closes #19184.
  * Prevent warnings from being output when running Ruby with the
  - v or -w command line options. Thanks to Paul McMahon for the
    patch. Closes #19719.
- additional changes from version 0.3.8
  * Updated to tzdata version 2008b
    (http://article.gmane.org/gmane.comp.time.tz/2149).
  * Support loading timezone data in Ruby 1.9.0. Use DateTime.new!
    if it is available instead of DateTime.new0 when constructing
    transition times.  DateTime.new! was added in Ruby 1.8.6.
    DateTime.new0 was removed in Ruby 1.9.0. Thanks to Joshua
    Peek for reporting this. Closes #17606.
  * Modify some of the equality test cases to cope with the
    differences between Ruby 1.8.6 and Ruby 1.9.0.
- additional changes from version 0.3.7
  * Updated to tzdata version 2008a
    (http://article.gmane.org/gmane.comp.time.tz/2071).
- additional changes from version 0.3.6
  * Updated to tzdata version 2007k
    (http://article.gmane.org/gmane.comp.time.tz/2029).
  * Removed deprecated RubyGems autorequire option.
- additional changes from version 0.3.5
  * Updated to tzdata version 2007h
    (http://article.gmane.org/gmane.comp.time.tz/1878).
* Thu Aug 30 2007 mrueckert@suse.de
- update to version 0.3.4:
  * Updated to tzdata version 2007g
    (http://article.gmane.org/gmane.comp.time.tz/1810).
* Tue May 22 2007 mrueckert@suse.de
- update to version 0.3.3:
  o Updated to tzdata version 2006p
    (http://article.gmane.org/gmane.comp.time.tz/1358)
* Sun Oct 15 2006 mrueckert@suse.de
- update to version 0.3.2:
  o Updated to tzdata version 2006n
    (http://article.gmane.org/gmane.comp.time.tz/1288). Note that
    this release of tzdata removes the country Serbia and
    Montenegro (CS) and replaces it with separate Serbia (RS) and
    Montenegro (ME) entries.
* Tue Aug 22 2006 mrueckert@suse.de
- upgrade to version 0.3.1
